<?php
class rex_bx_slider_utils {
	
	/**
	 * Includes bxSlider assets
	 * @global array $REX
	 * @param array $params
	 * @return string $subject
	 */
	public static function includeBxSlider($params){
		global $REX;
		
		// Collections
		$header = '';
		$footer = '';
		
		// Set jQuery version
		$jQueryVersion = $REX['ADDON']['bx_slider']['settings']['include_jquery_version'];
		if ($jQueryVersion == '') {
			$jQueryVersion =  '1.10.1';
		}

		// Include CSS
		if ($REX['ADDON']['bx_slider']['settings']['include_css'] !== '0') {
			$tmp  = "\t" . '<link rel="stylesheet" type="text/css" href="' . $REX['HTDOCS_PATH'] . 'files/addons/bx_slider/jquery.bxslider.min.css">' . PHP_EOL;
			if ($REX['ADDON']['bx_slider']['settings']['include_css'] === '1') {
				$header .= $tmp;
			} else {
				$footer .= $tmp;
			}
		}
		
		// Include jQuery
		if ($REX['ADDON']['bx_slider']['settings']['include_jquery'] !== '0') {
			
			if ($REX['ADDON']['bx_slider']['settings']['include_jquery'] === '3') {
				$tmp  = "\t" . '<script src="//ajax.googleapis.com/ajax/libs/jquery/' . $jQueryVersion . '/jquery.min.js"></script>' . PHP_EOL;
				$tmp .= "\t" . '<script>window.jQuery || document.write(\'<script src="' . $REX['HTDOCS_PATH'] . 'files/addons/bx_slider/jquery-' . $jQueryVersion . '.min.js"><\/script>\')</script>' . PHP_EOL;
			} else {
				$tmp  = "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/bx_slider/jquery-' . $jQueryVersion . '.min.js"></script>' . PHP_EOL;
			}
			
			// Easing plugin
			if ($REX['ADDON']['bx_slider']['OBJECT']->loadEasingPlugin === TRUE) {
				$tmp .= "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/bx_slider/jquery.easing.1.3.min.js"></script>' . PHP_EOL;
			}
			
			if ($REX['ADDON']['bx_slider']['settings']['include_jquery'] === '1') {
				$header .= $tmp;
			} else {
				$footer .= $tmp;
			}
		}
		
		// Include bxSlider JS
		if ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_js'] !== '0') {
			
			$tmp = '';
			
			// Video plugin
			if ($REX['ADDON']['bx_slider']['OBJECT']->loadVideoPlugin === TRUE) {
				$tmp .= "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/bx_slider/jquery.fitvids.min.js"></script>' . PHP_EOL;
			}
			
			$tmp .= "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/bx_slider/jquery.bxslider.min.js"></script>' . PHP_EOL;
			
			if ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_js'] === '1') {
				$header .= $tmp;
			} else {
				$footer .= $tmp;
			}
		}
		
		// Include bxSlider Init		
		if ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_init'] !== '0') {			
			$tmp  = $REX['ADDON']['bx_slider']['OBJECT']->getConfigInitScript();
			if ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_init'] === '1') {
				$header .= $tmp;
			} else {
				$footer .= $tmp;
			}
		}
		
		$params['subject'] = str_replace('</head>', $header . '</head>', $params['subject']);
		$params['subject'] = str_replace('</body>', $footer . '</body>', $params['subject']);
		return $params['subject'];
	}
	
	/**
	 * Returns HTML from MD file
	 * @global array $REX
	 * @param string $mdFile
	 * @param array $search
	 * @param array $replace
	 * @return string
	 */
	public static function getHtmlFromMDFile($mdFile, $search = array(), $replace = array()) {
		global $REX;

		$curLocale = strtolower($REX['LANG']);
		$file = $REX['INCLUDE_PATH'] . '/addons/bx_slider/' . $mdFile;

		if (file_exists($file)) {
			$md = file_get_contents($file);
			$md = str_replace($search, $replace, $md);
			$md = self::makeHeadlinePretty($md);

			return Parsedown::instance()->parse($md);
		} else {
			return '[translate:' . $file . ']';
		}
	}
	
	public static function makeHeadlinePretty($md) {
		return str_replace('Bx_slider - ', '', $md);
	}
}

