<?php

$configFile = $REX['INCLUDE_PATH'] . '/addons/bx_slider/settings.inc.php';

if (rex_request('func', 'string') == 'update') {
	$settings = array(
		'include_css' => 'string',
		'include_jquery' => 'string',
		'include_jquery_version' => 'string',
		'include_bx_slider_js' => 'string',
		'include_bx_slider_init' => 'string',
		'force_full_bx_slider_config' => 'int',
	);
	$content = '';
	foreach($settings as $key => $type) {
		$value = rex_request($key, $type, NULL);
		$REX['ADDON']['bx_slider']['settings'][$key] = $value;
		$content .= "\n" . '$REX[\'ADDON\'][\'bx_slider\'][\'settings\'][\'' . $key . '\'] = "' . $value . '";'; 
	}
	
	if (rex_replace_dynamic_contents($configFile, $content) !== false) {
		echo rex_info($I18N->msg('bx_slider_configfile_update'));
	} else {
		echo rex_warning($I18N->msg('bx_slider_configfile_nosave'));
	}
}

if (!is_writable($configFile)) {
	echo rex_warning($I18N->msg('bx_slider_configfile_nowrite', $configFile));
}
?>
<style>
	div.rex-form div.rex-form-row .inline-label {
		clear: none;
		display: inline-block;
		width: auto;
	}
	div.rex-form div.rex-form-row p.rex-form-text .inline-label input {
		width: auto;
	}
</style>
<div class="rex-addon-output">
	<div class="rex-form">

		<h2 class="rex-hl2"><?php echo $I18N->msg('bx_slider_settings'); ?></h2>

		<form action="index.php" method="post">

			<fieldset class="rex-form-col-1">
				<div class="rex-form-wrapper">
					<input type="hidden" name="page" value="bx_slider" />
					<input type="hidden" name="subpage" value="<?php echo rex_request('subpage'); ?>" />
					<input type="hidden" name="func" value="update" />

					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							<label><?php echo $I18N->msg('bx_slider_settings_include_css'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_css'] == 0) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_css" value="0" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_no_include'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_css'] == 1) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_css" value="1" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_header'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_css'] == 2) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_css" value="2" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_footer'); ?></label>
							
						</p>
					</div>
					
					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							<label><?php echo $I18N->msg('bx_slider_settings_include_jquery'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_jquery'] == 0) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_jquery" value="0" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_no_include'); ?></label>

							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_jquery'] == 1) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_jquery" value="1" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_header'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_jquery'] == 2) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_jquery" value="2" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_footer'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_jquery'] == 3) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_jquery" value="3" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_via_google_api'); ?></label>
						</p>
					</div>
					
					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							
							<label><?php echo $I18N->msg('bx_slider_settings_include_jquery_version'); ?></label>
							
							<?php
								$options = array(
									'1.10.1' => $I18N->msg('bx_slider_settings_include_jquery_version_1'),
									'1.9.1' => $I18N->msg('bx_slider_settings_include_jquery_version_2'),
									'1.8.3' => $I18N->msg('bx_slider_settings_include_jquery_version_3'),
									'1.11.0' => $I18N->msg('bx_slider_settings_include_jquery_version_4')
								);
							?>
							<label class="inline-label"><select name="include_jquery_version">
							<?php 
								foreach($options as $version => $label) {
									$selected = ($REX['ADDON']['bx_slider']['settings']['include_jquery_version'] === $version) ? 'selected="selected"' : '';
									echo '<option value="' . $version. '" ' . $selected . '>' . $label . '</option>';
								}
							?>
							</select>
						</p>
					</div>
					
					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							<label><?php echo $I18N->msg('bx_slider_settings_include_bx_slider_js'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_js'] == 0) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_bx_slider_js" value="0" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_no_include'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_js'] == 1) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_bx_slider_js" value="1" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_header'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_js'] == 2) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_bx_slider_js" value="2" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_footer'); ?></label>
						</p>
					</div>
					
					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-text">
							<label><?php echo $I18N->msg('bx_slider_settings_include_bx_slider_init'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_init'] == 0) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_bx_slider_init" value="0" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_no_include'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_init'] == 1) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_bx_slider_init" value="1" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_header'); ?></label>
							
							<?php $checked = ($REX['ADDON']['bx_slider']['settings']['include_bx_slider_init'] == 2) ? 'checked="checked"' : '' ?>
							<label class="inline-label"><input type="radio" name="include_bx_slider_init" value="2" <?php echo $checked ?>>
							<?php echo $I18N->msg('bx_slider_settings_include_to_footer'); ?></label>
						</p>
					</div>

					<div class="rex-form-row rex-form-element-v1">
						<p class="rex-form-submit">
							<input type="submit" class="rex-form-submit" name="sendit" value="<?php echo $I18N->msg('bx_slider_settings_save'); ?>" />
						</p>
					</div>
				</div>
			</fieldset>
		</form>
	</div>
</div>



